NUDATUS(1)

NAME
nudatus - remove comments from Python 3 scripts

SYNOPSIS

nudatus input [output]

nudatus --version

nudatus -h

DESCRIPTION
nudatus is a utility to remove comments from Python 3 scripts.

nudatus was created to help fit longer, heavily-documented Python programs onto the micro:bit single-board computer (SBC), but it should be suitable for similar platforms with restricted storage capacity.

ARGUMENTS

input
    a Python script to remove comments from

output
    a file to write the stripped Python script to. If output is not specified, output will be written to STDOUT.

OPTIONS

--version
    print version number and exit

-h  print help, then exit

EXAMPLES
Remove comments from the script script.py and write the stripped file to script-min.py:

        nudatus script.py script-min.py

REPORTING BUGS
Upstream bug tracker: https://github.com/ZanderBrown/nudatus/issues

COPYRIGHT
Copyright 2018 Zander Brown

AUTHOR
This manual page was created by Nick Morrott nickm@debian.org for the Debian GNU/Linux system, but may be used by others.

SEE ALSO
mu-editor(1), uflash(1)